Bug 527318 - power management problem with MSI MegaBook S271
Summary: power management problem with MSI MegaBook S271
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-05 23:05 UTC by Shafer Stockton
Modified: 2010-12-04 07:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:33:37 UTC
Type: ---


Attachments (Terms of Use)
acpidump output (81.26 KB, application/octet-stream)
2009-10-05 23:06 UTC, Shafer Stockton
no flags Details
dmesg output (31.69 KB, application/octet-stream)
2009-10-05 23:06 UTC, Shafer Stockton
no flags Details
lspci output (19.44 KB, application/octet-stream)
2009-10-05 23:07 UTC, Shafer Stockton
no flags Details

Description Shafer Stockton 2009-10-05 23:05:37 UTC
Description of problem:
When I disconnect my laptop from wall power things do not update to indicate that I am now running on battery.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Unplug MSI MegaBook S271 from wall
2. Notice power management not detecting the event

  

Additional info:
The laptop I have actually comes in two flavors. There is one with PATA and one with SATA. I have the latest BIOS installed for the PATA version. That BIOS version is 1.22

/proc/acpi/ac_adapter/ADP1/state
state:                   off-line

/proc/acpi/battery/BAT1/state
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            unknown
remaining capacity:      unknown
present voltage:         10000 mV

Comment 1 Shafer Stockton 2009-10-05 23:06:20 UTC
Created attachment 363753 [details]
acpidump output

Comment 2 Shafer Stockton 2009-10-05 23:06:45 UTC
Created attachment 363754 [details]
dmesg output

Comment 3 Shafer Stockton 2009-10-05 23:07:04 UTC
Created attachment 363755 [details]
lspci output

Comment 4 Steven M. Parrish 2009-10-05 23:18:52 UTC
reassigning to acpid

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Shafer Stockton 2009-12-17 22:41:24 UTC
I'm not quite sure this is a userspace problem. I upgraded to F12 on the laptop and while it was installing I was eager to know if my problem was fixed so I checked /proc/acpi/battery/BAT1/state after unplugging from the wall and  saw reasonable values instead of unknown. After I boot from the hard disk things go back to unknown again. I even tried from single user mode.

I took a look at the kernel cmdline for the installer kernel and didn't see anything special being passed that I could try on my regular kernel to get things fixed.

Comment 6 Shafer Stockton 2010-01-26 22:26:45 UTC
Updating version to reflect my last post about it being a problem on F12 as well.

Comment 7 Jiri Skala 2010-03-02 09:12:04 UTC
Stupid question: is the acpid running> Test it:

sudo service acpid status

Please, try to start acpi_listen in terminal. Then plug out and plug in AC adapter from/to socket. If it works correctly you should see written events in the terminal. Let me know about your findings.

Thanks Jiri

Comment 8 Shafer Stockton 2010-03-03 02:04:04 UTC
I see the status changed to NEEDINFO, but I'm unclear on what further information I should provide.

Comment 9 Jiri Skala 2010-03-03 06:29:39 UTC
Ah, sorry, I don't know why but my comment #7 was checked private. Perhaps you can read it now.

Comment 10 Shafer Stockton 2010-03-03 16:01:47 UTC
acpid was running when I checked.

After I started acpi_listen I unplugged the laptop and plugged it back in. No events were displayed. Just to make sure something acpi related was happening I pressed the power button and  "button/power PWRF 00000080 00000001" showed up. The correct dialog popped up asking me about shutting down or rebooting.

I didn't see any other events when running acpi_listen.

Comment 11 Jiri Skala 2010-03-04 08:08:24 UTC
Thanks for the test. There are no plug/unplug events to handle. Therefore acpid has nothing to do. I suppose this is probably kernel issue so I'm going to switch the component.

Comment 12 Bug Zapper 2010-11-04 09:38:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-04 07:33:37 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.